Audit
/audit/mutations
List mutation audit rows with filters for action/effect/entity/op/outcome and date range.
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Query Parameters
limit?number
Default
100Range
1 <= value <= 250offset?integer
Default
0Range
0 <= value <= 9007199254740991actionId?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuideffectId?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidentityType?string
entityId?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidop?string
outcome?string
startAt?string
endAt?string
page?number
Default
1Range
1 <= valueResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.vrplatform.app/audit/mutations"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
"actionId": "4a2794ff-94cb-4bac-8d36-d5fb36c563a0",
"effectId": "eed930b6-0e6c-476e-a5ed-f8e56fb2d0f2",
"op": "string",
"rootEntityType": "string",
"rootEntityId": "ffcdb974-7dd1-4727-b1cd-39415010f491",
"subjectType": "string",
"subjectId": "68460e63-0717-47f9-8fd8-d28f152cb30b",
"outcome": "string",
"changeRecord": {
"summary": "string",
"changedKeys": [
"string"
],
"reasonCode": "string",
"outcome": "string",
"context": {
"property1": null,
"property2": null
},
"property1": null,
"property2": null
},
"createdAt": "string",
"action": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"actionType": "string",
"source": "string",
"apiVersion": "string",
"requestId": "string",
"traceId": "string",
"parentActionId": "12f46041-18d6-4f38-a710-58558c6996db",
"actor": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"name": "string",
"email": "string"
}
}
}
],
"pagination": {
"limit": 100,
"page": 1,
"total": 0,
"totalPage": 0,
"nextPage": 0
}
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}